#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberBankWithdraw {
    #[prost(string, tag="1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, tag="2")]
    pub member_id: ::prost::alloc::string::String,
    #[prost(string, tag="3")]
    pub bank_name: ::prost::alloc::string::String,
    #[prost(string, tag="4")]
    pub name: ::prost::alloc::string::String,
    #[prost(string, tag="5")]
    pub account_number: ::prost::alloc::string::String,
    #[prost(uint32, tag="6")]
    pub amount: u32,
    #[prost(string, tag="7")]
    pub password: ::prost::alloc::string::String,
    #[prost(string, optional, tag="8")]
    pub memo: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration="MemberBankWithdrawState", tag="9")]
    pub state: i32,
    #[prost(uint64, tag="10")]
    pub state_changed_at: u64,
    #[prost(uint64, tag="11")]
    pub created_at: u64,
    #[prost(uint64, tag="12")]
    pub updated_at: u64,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum MemberBankWithdrawState {
    None = 0,
    Application = 1,
    Complete = 2,
}
