#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationRequest {
    #[prost(string, tag="1")]
    pub username: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<check_username_for_duplication_response::Result>,
}
/// Nested message and enum types in `CheckUsernameForDuplicationResponse`.
pub mod check_username_for_duplication_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(bool, tag="1")]
        pub duplicated: bool,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationRequest {
    #[prost(string, tag="1")]
    pub nickname: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<check_nickname_for_duplication_response::Result>,
}
/// Nested message and enum types in `CheckNicknameForDuplicationResponse`.
pub mod check_nickname_for_duplication_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(bool, tag="1")]
        pub duplicated: bool,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaRequest {
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<captcha_response::Result>,
}
/// Nested message and enum types in `CaptchaResponse`.
pub mod captcha_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(string, tag="1")]
        pub security_code_hash: ::prost::alloc::string::String,
        #[prost(string, tag="2")]
        pub image: ::prost::alloc::string::String,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninRequest {
    #[prost(string, tag="1")]
    pub security_code_hash: ::prost::alloc::string::String,
    #[prost(string, tag="2")]
    pub security_code: ::prost::alloc::string::String,
    #[prost(string, tag="3")]
    pub username: ::prost::alloc::string::String,
    #[prost(string, tag="4")]
    pub password: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<signin_response::Result>,
}
/// Nested message and enum types in `SigninResponse`.
pub mod signin_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(string, tag="1")]
        pub access_token: ::prost::alloc::string::String,
    }
}
